@import '/styles/form.css';
@import '/styles/application-buttons.css';
@import '/styles/simple-dialog.css';
@import '/styles/generic.css';
@import '/styles/font-families.css';
@import '/styles/page-responsiveness.css';
@import '/styles/global.css';

@import '/programs/tooltip/index.css';
@import '/programs/application/prompts/index.css';

@import '/programs/self-destructing-message/index.css';
@import '/programs/dialog-header/index.css';
@import '/programs/form-inputs/toggle-input/index.css';
@import '/programs/assistant-view/index.css';
@import '/programs/conversation-list/index.css';
@import '/programs/message-list/index.css';
@import '/programs/message-entry/index.css';
@import '/programs/message-media/index.css';
@import '/programs/message-intermediate-steps/index.css';
@import '/programs/message-input/index.css';
@import '/programs/spinner/index.css';
@import '/programs/assistant-editor/index.css';
@import '/programs/input-row/index.css';
@import '/programs/field-row/index.css';
@import '/programs/save-button/index.css';
@import '/programs/simple-search-control/index.css';
@import '/programs/tabs-view/index.css';
@import '/programs/tabs-radio-input/index.css';
@import '/programs/picture-input/index.css';
@import '/programs/assistants-search-panel/index.css';
@import '/programs/theme-panel/index.css';
@import '/programs/navigation-header/index.css';
@import '/programs/footer/index.css';
@import '/programs/audio-player/index.css';
@import '/programs/team-inputs/index.css';
@import '/programs/dialog-navigation-header/index.css';
@import '/programs/html-preview/index.css';
@import '/programs/document-viewer/index.css';
@import '/programs/form-inputs/multiple-text-input/index.css';
@import '/programs/mermaid-preview/index.css';
@import '/programs/file-input/index.css';
@import '/programs/audio-input/index.css';
@import '/programs/og-card-view/index.css';
@import '/programs/form-inputs/date-time-input/index.css';
@import '/programs/form-inputs/text-list-input/index.css';
@import '/programs/assistant-avatar-input/index.css';
@import '/programs/form-inputs/multiple-tag-input/index.css';
@import '/programs/form-inputs/single-tag-input/index.css';
@import '/programs/pwa-enforcer/index.css';
@import '/programs/homepage-view/index.css';
@import '/programs/form-inputs/multiple-select-input/index.css';
@import '/programs/analytics-dashboard/index.css';
@import '/programs/form-inputs/date-range-input/index.css';
@import '/programs/badges/index.css';
@import '/programs/resources-panel/index.css';
@import '/programs/onboarding-view/index.css';
@import '/programs/json-preview/index.css';
@import '/programs/alerts-dashboard/index.css';
@import '/programs/dashboard-header/index.css';
@import '/programs/artifact-renderer/index.css';
@import '/programs/artifact-dialog/index.css';
@import '/programs/artifact-embed-view/index.css';
@import '/programs/artifacts-browser-dialog/index.css';
@import '/programs/form-inputs/number-stepper/index.css';

#main-content-container {
  /* padding: 20px; */
  height: calc(var(--viewport-height-100) / var(--zoom));
  background-color: var(--startup-primary-background-color);
}

.application-mode #main-content-container {
  width: 100%;
}

#main-content-container.default-mode {
  display: flex;
  align-items: center;
  justify-content: center;
}

#main-content-container.default-mode circle {
  stroke: var(--startup-primary-color);
}

#main-content-container.chat-widget-mode {
  padding: 25px;
  background-color: transparent;
  overflow: hidden;
}

#main-content-container.chat-widget-mode.idle-mode {}

#main-content-container.chat-widget-mode.active-mode {}

#main-content-container.chat-widget-mode #chat-widget-container {
  padding: unset;
  box-shadow: var(--box-shadow-all-light);
}

ul {
  padding: 0px;
}

li {
  list-style: none;
}